/**
 * Large Page. 
 * 
 * Saves one frame as a PDF with a size larger
 * than the screen. When PDF is used as the renderer
 * (the third parameter of size) the display window 
 * does not open. The file is saved to the sketch folder.
 * You can open it by "Sketch->Show Sketch Folder."
 */


import processing.pdf.*;

int step = 2;
void setup() 
{
  size(800,600);
  background(255);
  //size(2000, 2000, PDF, "Line.pdf");
}
void draw()
{
  fill(0);
  for (int i= 0; i < width; i+= step)
  {
    translate(step,0);
    pushMatrix();
      ellipse(i, 200, step-1, step-1);
      popMatrix();
  }
  //exit();  // Quit the program
}


    
