import processing.pdf.*;


void setup()
{
  //size( 800, 800 );
  size(2000, 2000, PDF, "Line.pdf");
}

void draw()
{
  background( 255 );
  noFill();
  stroke( 0 );

  // loop from left to right, drawing lines to the top of the canvas:
  for ( int x = 0; x <= width; x = x + 5 ) {
    line( width/2, height/2, x, 0 );
  }

  // loop from left to right, drawing lines to the bottom of the canvas:
  for ( int x = 0; x <= width; x = x + 5 ) {
    line( width/2, height/2, x, height );
  }

  // loop from top to bottom, drawing lines to the left side of the canvas:
  for ( int y = 5; y < height; y = y + 5 ) {
    line( width/2, height/2, 0, y );
  }

  // loop from top to bottom, drawing lines to the right side of the canvas:
  for ( int y = 5; y < height; y = y + 5 ) {
    line( width/2, height/2, width, y );
  }
  exit();  // Quit the program
}
