import processing.pdf.*;


void setup()
{
  //size( 600, 400 );
  size( 800,800,PDF,"moire.pdf");
}

void draw()
{
  background(255);

  noFill();
  stroke(0);

  int oneThirdWidth = width / 2;
  int twoThirdsWidth = 2 * width / 2;

  // draw the set of concentric circles on the left:
  for( int n = 0; n < width*2; n = n + 10 ) {
    ellipse( 0, height / 2, n, n );
  }

  // draw the set of concentric circles on the right:
  for( int n = 0; n < width*2; n = n + 10 ) {
    ellipse( width, height / 2, n, n );
  }
  
  exit();
}
