import processing.pdf.*;

float[][] distances;
float maxDistance;
float spacer;
int hspacer = 5;


void setup() {
  //size(600, 100);
  size(600, 100, PDF, "001.pdf");;
  //init table
  distances = new float[width][height];
  for (int y =0; y< height; y+=hspacer){ 
    // rdm spacer
    spacer = random(2,width/2);    
    for (int x =0; x< spacer; x++){
      distances[x][y] = distances[x][y] + width/spacer; 
      //println(distances[x][0]);
    }
  }
}


void draw(){
  background(255);
  fill(0);
  for (int y =0; y< height; y+=hspacer){  
    for (int x =0; x< width; x++){
      rect(distances[x][y]*x,y,distances[x][y]/2,hspacer);
    }
  }
  
  exit();
}
