import processing.pdf.*;


void setup()
{
  size( 600, 400 );
  size( 800,800,PDF,"moire.pdf");
}

void draw()
{
  background( 0 );

  noFill();
  stroke( 255 );

  int oneThirdWidth = width / 3;
  int twoThirdsWidth = 2 * width / 3;

  // draw the set of concentric circles on the left:
  for( int n = 0; n < twoThirdsWidth; n = n + 10 ) {
    ellipse( oneThirdWidth, height / 2, n, n );
  }

  // draw the set of concentric circles on the right:
  for( int n = 0; n < twoThirdsWidth; n = n + 10 ) {
    ellipse( twoThirdsWidth, height / 2, n, n );
  }
  
  exit();
}
